/**
 * Copyright © 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sys.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

import javax.validation.constraints.NotNull;

/**
 * ItemListEntity
 * @author qiuyue
 * @version 2021-12-23
 */
public class CompletionInformationExport extends DataEntity<CompletionInformationExport> {

	private static final long serialVersionUID = 1L;
	private String projectYear;		// 工程年度
	private String itemCode;		// 项目编码
	private String projectType;		// 项目类型
	private String entryName;		// 项目名称
	private String constructionUnit;		// 施工单位
	private String contractAmount;		// 合同金额
	private String completionDate;		// 完工日期
	private String timeLimit;		// 时限
	private String expectedDate;		//预计资料提交日期
	private String submissionDate;		// 实际资料提交日期
	private String remainingDate;		// 剩余日期
	private String overdue;		// 是否超期
	private String beginContractAmount;		// 开始 合同金额
	private String endContractAmount;		// 结束 合同金额
	private String beginCompletionDate;		// 开始 完工日期
	private String endCompletionDate;		// 结束 完工日期
	private String beginRemainingDate;		// 开始 剩余日期
	private String endRemainingDate;		// 结束 剩余日期

	public CompletionInformationExport() {
		super();
	}

	public CompletionInformationExport(String id){
		super(id);
	}

	@ExcelField(title="工程年度", align=2, sort=1)
	@NotNull(message="完工日期不能为空")
	public String getProjectYear() {
		return projectYear;
	}

	public void setProjectYear(String projectYear) {
		this.projectYear = projectYear;
	}
	
	@ExcelField(title="项目编码", align=2, sort=2)
	@NotNull(message="完工日期不能为空")
	public String getItemCode() {
		return itemCode;
	}

	public void setItemCode(String itemCode) {
		this.itemCode = itemCode;
	}
	
	@ExcelField(title="项目类型", align=2, sort=3)
	@NotNull(message="完工日期不能为空")
	public String getProjectType() {
		return projectType;
	}

	public void setProjectType(String projectType) {
		this.projectType = projectType;
	}
	
	@ExcelField(title="项目名称", align=2, sort=4)
	@NotNull(message="完工日期不能为空")
	public String getEntryName() {
		return entryName;
	}

	public void setEntryName(String entryName) {
		this.entryName = entryName;
	}
	
	@ExcelField(title="施工单位", align=2, sort=5)
	@NotNull(message="完工日期不能为空")
	public String getConstructionUnit() {
		return constructionUnit;
	}

	public void setConstructionUnit(String constructionUnit) {
		this.constructionUnit = constructionUnit;
	}
	
	@ExcelField(title="合同金额", align=2, sort=6)
	@NotNull(message="完工日期不能为空")
	public String getContractAmount() {
		return contractAmount;
	}

	public void setContractAmount(String contractAmount) {
		this.contractAmount = contractAmount;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd")
	@NotNull(message="完工日期不能为空")
	@ExcelField(title="完工日期", align=2, sort=7)
	public String getCompletionDate() {
		return completionDate;
	}

	public void setCompletionDate(String completionDate) {
		this.completionDate = completionDate;
	}

	@ExcelField(title="时限", align=2, sort=8)
	public String getTimeLimit() {
		return timeLimit;
	}

	public void setTimeLimit(String timeLimit) {
		this.timeLimit = timeLimit;
	}

	@ExcelField(title="预计资料提交日期", align=2, sort=9)
	public String getExpectedDate() {
		return expectedDate;
	}

	public void setExpectedDate(String expectedDate) {
		this.expectedDate = expectedDate;
	}

	@ExcelField(title="实际资料提交日期", align=2, sort=10)
	public String getSubmissionDate() {
		return submissionDate;
	}

	public void setSubmissionDate(String submissionDate) {
		this.submissionDate = submissionDate;
	}

	@ExcelField(title="剩余日期", align=2, sort=11)
	public String getRemainingDate() {
		return remainingDate;
	}

	public void setRemainingDate(String remainingDate) {
		this.remainingDate = remainingDate;
	}

	@ExcelField(title="是否超期", align=2, sort=12)
	public String getOverdue() {
		return overdue;
	}

	public void setOverdue(String overdue) {
		this.overdue = overdue;
	}
		
	public String getBeginContractAmount() {
		return beginContractAmount;
	}

	public void setBeginContractAmount(String beginContractAmount) {
		this.beginContractAmount = beginContractAmount;
	}
	
	public String getEndContractAmount() {
		return endContractAmount;
	}

	public void setEndContractAmount(String endContractAmount) {
		this.endContractAmount = endContractAmount;
	}
		
	public String getBeginCompletionDate() {
		return beginCompletionDate;
	}

	public void setBeginCompletionDate(String beginCompletionDate) {
		this.beginCompletionDate = beginCompletionDate;
	}
	
	public String getEndCompletionDate() {
		return endCompletionDate;
	}

	public void setEndCompletionDate(String endCompletionDate) {
		this.endCompletionDate = endCompletionDate;
	}
		
	public String getBeginRemainingDate() {
		return beginRemainingDate;
	}

	public void setBeginRemainingDate(String beginRemainingDate) {
		this.beginRemainingDate = beginRemainingDate;
	}
	
	public String getEndRemainingDate() {
		return endRemainingDate;
	}

	public void setEndRemainingDate(String endRemainingDate) {
		this.endRemainingDate = endRemainingDate;
	}
		
}